Admin Class Reference
Inheritance diagram for Admin:
[legend]
Collaboration diagram for Admin:
[legend]

## Public Member Functions

| _contruct ()
| index ()
| add ()
| getAllUser_g ()
| getAllDemandes ()
| getHypByPays ()
| getVilleByHyp ()
| filtreData ()
| deleteUser ()
| updateUser ()
| getGeolocatedUsersForAdministrator ()
| pagination_User_g ()
| get_progress_data ()
| initGetAllUser_g ()
| progressRequestUser_g ()

## Member Function Documentation

## _contruct()

_contruct | ( |  | ) |

## add()

add | ( |  | ) |

## deleteUser()

deleteUser | ( |  | ) |

## filtreData()

filtreData | ( |  | ) |

## get_progress_data()

get_progress_data | ( |  | ) |

## getAllDemandes()

getAllDemandes | ( |  | ) |

## getAllUser_g()

getAllUser_g | ( |  | ) |

## getGeolocatedUsersForAdministrator()

getGeolocatedUsersForAdministrator | ( |  | ) |

## getHypByPays()

getHypByPays | ( |  | ) |

## getVilleByHyp()

getVilleByHyp | ( |  | ) |

## index()

index | ( |  | ) |

## initGetAllUser_g()

initGetAllUser_g | ( |  | ) |

## pagination_User_g()

pagination_User_g | ( |  | ) |

## progressRequestUser_g()

progressRequestUser_g | ( |  | ) |

## updateUser()

updateUser | ( |  | ) |

The documentation for this class was generated from the following file:

- application/controllers/Admin.php